# Uses of Class
jdk.jshell.SnippetEvent

Packages that use SnippetEvent
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of SnippetEvent in jdk.jshell

Methods in jdk.jshell that return types with arguments of type SnippetEvent
Modifier and Type
Method
Description
`List<SnippetEvent>`
JShell.`drop(Snippet snippet)`
Remove a declaration from the state.
`List<SnippetEvent>`
JShell.`eval(String input)`
Evaluate the input String, including definition and/or execution, if applicable.
Method parameters in jdk.jshell with type arguments of type SnippetEvent
Modifier and Type
Method
Description
`JShell.Subscription`
JShell.`onSnippetEvent(Consumer<SnippetEvent> listener)`
Register a callback to be called when the Status of a snippet changes.